Installazione ISO fuss-client "standalone”
Target version:

Description

Abbiamo provato a fare un'installazione della ISO fuss-client-jessie-i386-201703221536.iso senza connessione alla rete.
L'installazione & andata avanti senza intoppi ed abbiamo creato un'utenza locale assegnandole una password.
Di seguito una serie di problemi riscontrati dopo il reboot e la connessione ad internet.

e |'utenza locale creata non riesce a loggarsi né da lightdm né da terminale. E' necessario loggarsi come root e cambiare la
password all'utente locale con
# password <nomeutente-locale>
Il sistema richiede la "Current kerberos password" quindi si capisce che viene data priorita all'autenticazione Kerberos.
Premendo invio si riesce a cambiare la password localmente inserendola, come di consueto, due volte. Infine viene richiesta
nuovamente la kerberos password. Qui va premuto nuovamente <invio>.
¢ in /etc/apt/sources.list & presente una riga
deb http://httpredir.debian.org/debian jessie-backports main contrib non-free
ma manca una riga
deb http://httpredir.debian.org/debian *jessie* main contrib non-free
e sarebbe opportuno prevedere anche l'installazione dei pacchetti/metapacchetti nella ISO Base:
o network-manager
o network-manager-gnome
o xfced-goodies (in metapacchetto fuss-desktop)
o fuss-office
fuss-multimedia
¢ |'installazione di fuss-office non va a buon fine in quanto fuss-office dipende da libreoffice >= 1:5.2 ma la versione in jessie
1:4.3.3-2+deb8ub. Bisognerebbe indicare che libreoffice va preso da jessie-backports

o]

History

#1 - 04/10/2017 10:54 PM - Paolo Dongilli
- File debian-8-xfce-packages.txt added

Provato ad installare http://cdimage.debian.org/debian-cd/current-live/i386/iso-hybrid/debian-live-8.7.1-i386-xfce-desktop.iso
Ho generato la lista di pacchetti installati da questa iso. La allego alla issue. Tutti questi pacchetti dovrebbero essere inclusi nella ISO Base del
FUSS-Client.

#2 - 06/12/2017 10:39 AM - Christopher R. Gabriel
- Status changed from Nuovo to Commenti

- Assignee changed from Christopher R. Gabriel to Paolo Dongilli

Paolo Dongilli ha scritto:
Abbiamo provato a fare un'installazione della ISO fuss-client-jessie-i386-201703221536.iso senza connessione alla rete.
L'installazione & andata avanti senza intoppi ed abbiamo creato un'utenza locale assegnandole una password.
Di seguito una serie di problemi riscontrati dopo il reboot e la connessione ad internet.

e |'utenza locale creata non riesce a loggarsi né da lightdm né da terminale. E' necessario loggarsi come root e cambiare la password
all'utente locale con
http://cdimage.debian.org/debian-cd/current-live/i386/iso-hybrid/debian-live-8.7.1-i386-xfce-desktop.iso

# password <nomeutente-locale>

Il sistema richiede la "Current kerberos password" quindi si capisce che viene data priorita all'autenticazione Kerberos. Premendo invio si
riesce a cambiare la password localmente inserendola, come di consueto, due volte. Infine viene richiesta nuovamente la kerberos
password. Qui va premuto nuovamente <invio>.

Per questo bisogna usare la standalone che non ha fuss-client e non si porta dietro la parte kerberos.

e in /etc/apt/sources.list & presente una riga
deb http://httpredir.debian.org/debian jessie-backports main contrib non-free
ma manca una riga
deb http://httpredir.debian.org/debian *jessie* main contrib non-free

Corretto gia'

¢ sarebbe opportuno prevedere anche l'installazione dei pacchetti/metapacchetti nella ISO Base:
o network-manager

network-manager-gnome

xfce4-goodies (in metapacchetto fuss-desktop)

fuss-office

fuss-multimedia

o O o O

questi sono stati aggiunti. Nella standalone ci sono tutti, mentre nella fuss-client base (pensata per installare solo il sistema base) no.

¢ |'installazione di fuss-office non va a buon fine in quanto fuss-office dipende da libreoffice >= 1:5.2 ma la versione in jessie &
1:4.3.3-2+deb8ub. Bisognerebbe indicare che libreoffice va preso da jessie-backports

Non si puo' indicare nel pacchetto, visto che libreoffice €' richiesto da backports, bisogna installare fuss-office (se lo si fa a mano, se non presente gia'
nella iso) specificando I'uso di backports, quindi

apt install fuss-office -t Jjessie-backports
#3 - 06/12/2017 11:11 AM - Paolo Dongilli
- Status changed from Commenti to Risolto

- % Done changed from 0 to 100
